import pandas as pd

beverages = pd.read_csv("../../data/beverages.csv")#
print(beverages)


# 1) Funktion
groups = beverages.groupby("Name").max()
print(groups)

groups = beverages.groupby("Name") # kategorisches
print(groups)

print(groups.max())
print(groups.min())
print()
for name, info in groups:
    # name ist die Kategorie nach der gruppiert wurde
    # info sind alle Zeilen die zu dieser Kategorie gehören
    print(name)
    print(info)
    print("-"*100)
    print()

print()
# print(help(pd.read_csv))
donations_df = pd.read_csv("../../data/donations.csv")
print(donations_df)

subset = donations_df[["city", "job", "income", "donations"]]
grouped_donations = subset.groupby(["job", "city"]).mean().round()
print(grouped_donations)
print("-"*100)
print(grouped_donations.loc["Student"].loc[["Hamburg", "Köln"]])
# zeile students ist wieder ein dataframe
students = grouped_donations.loc["Student"]
print(students.loc["Hamburg"])
print(grouped_donations)
print(grouped_donations.idxmin())
print(grouped_donations.loc[grouped_donations.idxmin()])
print(grouped_donations.loc["Student"].loc["Hamburg"])

print("-"*100)
# doppelte indizes
info = grouped_donations.unstack()
income = info["income"]
don = info["donations"]
print(income)
print(don)
print()
